### Method

# Gtk CellAreaactivate_cell

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_cell_area_activate_cell (
      GtkCellArea* area,
      GtkWidget* widget,
      GtkCellRenderer* renderer,
      GdkEvent* event,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags
    )

#### Description [src]

This is used by `GtkCellArea` subclasses when handling events to activate cells, the base `GtkCellArea` class activates cells for keyboard events for free in its own GtkCellArea->activate() implementation.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`widget`

  Type: `GtkWidget`

  The `GtkWidget` that `area` is rendering onto.

  The data is owned by the caller of the method.

`renderer`

  Type: `GtkCellRenderer`

  The `GtkCellRenderer` in `area` to activate.

  The data is owned by the caller of the method.

`event`

  Type: `GdkEvent`

  The `GdkEvent` for which cell activation should occur.

  The data is owned by the caller of the method.

`cell_area`

  Type: `GdkRectangle`

  The `GdkRectangle` in `widget` relative coordinates of `renderer` for the current row.

  The data is owned by the caller of the method.

`flags`

  Type: `GtkCellRendererState`

  The `GtkCellRenderer`State for `renderer`.

#### Return value

Type: `gboolean`

Whether cell activation was successful.